<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: io/magpario.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_7dc76e12c3f74bb85b7effb3b7dc07e4.html">io</a>
  </div>
</div>
<div class="contents">
<h1>magpario.h</h1><a href="magpario_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of magpar.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2002-2010 Werner Scholz</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    www:   http://www.magpar.net/</span>
<a name="l00007"></a>00007 <span class="comment">    email: magpar(at)magpar.net</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    magpar is free software; you can redistribute it and/or modify</span>
<a name="l00010"></a>00010 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00011"></a>00011 <span class="comment">    the Free Software Foundation; either version 2 of the License, or</span>
<a name="l00012"></a>00012 <span class="comment">    (at your option) any later version.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    magpar is distributed in the hope that it will be useful,</span>
<a name="l00015"></a>00015 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00016"></a>00016 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00017"></a>00017 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00020"></a>00020 <span class="comment">    along with magpar; if not, write to the Free Software</span>
<a name="l00021"></a>00021 <span class="comment">    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<a name="l00022"></a>00022 <span class="comment">*/</span>
<a name="l00023"></a>00023 
<a name="l00024"></a>00024 <span class="comment">/* $Id: magpario.h 2962 2010-02-04 19:50:44Z scholz $ */</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef MAGPARIO_H</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define MAGPARIO_H</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="code" href="griddata_8h.html">griddata.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#ac48e244b5ec28e4a0d8a7ce8596bbe76">ReadINP</a>(<a class="code" href="structGridData.html">GridData</a> *gdata, <span class="keywordtype">char</span> *fmesh, Vec Vdest, <span class="keywordtype">int</span> col);
<a name="l00032"></a>00032 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676">read_one_line</a>(FILE *fd, <span class="keywordtype">char</span> *line, <span class="keywordtype">int</span> bufsize, <span class="keywordtype">char</span> **comment_out);
<a name="l00033"></a>00033 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a59544353738dfce0bdce48409d9b3c8b">ReadKrn</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00034"></a>00034 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a365fc802eafb717ba4c584655d1e9b64">ReadMesh</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00035"></a>00035 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a4e53aaaa9226ca0805f1f006e8bda38a">ReadPatran</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00036"></a>00036 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8">Vec3VolAvg</a>(Vec v,PetscReal* res);
<a name="l00037"></a>00037 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a617c029487285a8f6077f0397c386342">WriteAVS</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb">WriteDat</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00039"></a>00039 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e">WriteSet</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00040"></a>00040 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a41117309f66a908930e2597ec0f9526b">WriteDatinit</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00041"></a>00041 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#afcfe52b023f7bd7762b109bea3096cfc">WriteFEMAVS</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00042"></a>00042 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd">WriteLog</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00043"></a>00043 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187">WriteLogPid</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00044"></a>00044 <span class="keywordtype">int</span> <a class="code" href="magpario_8h.html#a27e3227786ab7e4914fa38aae48dc8f3">WriteMavg</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00045"></a>00045 
<a name="l00046"></a>00046 <span class="preprocessor">#endif</span>
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

